分类
ionic 前端开发环境 技术

ionic 编译的环境变量配置

No installed build tools found. Install the Android build tools version

有时候,新电脑编译apk的时候会报这些错,这其实都是环境变量没配置好导致的

首先先找到自己的sdk安装位置

打开环境变量配置

%ANDROID_HOME%\platform-tools

%ANDROID_HOME%\tools

修改完终端记得关闭下软件再重新打开才可以生效,当然直接重启电脑也是没问题的

分类
未分类

修改ionic4的目标安卓版本

ionic4 有个叫 config.xml的文件

在这里加入几行就可以指定版本

<preference name="android-minSdkVersion" value="19" />
    <preference name="android-targetSdkVersion" value="26" />
    <preference name="android-maxSdkVersion" value="27" />

有什么作用的话,就是可以暂时规避android的安全设置。

最新的android版本对webview的http请求要求是https,但是https有时候设置起来不太方便。

这时候除了反代之外,其实可以将android的目标版本降低,这样就可以暂时规避,但为了数据安全考虑,建议尽早上https。

参考文档: https://cordova.apache.org/docs/en/latest/config_ref/